#pragma once

class OGLrendrer;
class Level;


void triggerArea(int x_, int y_, int size, Level *lev);
void triggerRow(int x_, int y_, int dev, Level *lev);
void destroyArea(int x_, int y_, int size, Level *lev);
void destroyRow(int x_, int y_, int dev, Level *lev);

class Bomb
{
public:
	Bomb(unsigned char size_, int x_, int y_);
	virtual ~Bomb(void);
	void explode();

	void draw(OGLrendrer *ogl);
	void setLevel(Level *a);
	void setNewCoords(int x_, int y_);
private:
	unsigned char size;
	int x, y;
	bool triggered;
	Level *associatedLevel;
};

